package cn.muchinfo.rma.view.base

import androidx.lifecycle.ViewModelProvider
import cn.muchinfo.rma.netManage.base.ExceptionHandle

/**
 *   @auther : lbl
 *   time   : 2021/1/01
 */
interface GlobalConfig {

    fun viewModelFactory(): ViewModelProvider.Factory? = ViewModelFactory.getInstance()

    fun globalExceptionHandle(e: Throwable) = ExceptionHandle.handleException(e)

}